[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#293349: ITP: libpam-smb -- Pluggable Authentication Module authenticating from NT server

Package: wnpp
Severity: wishlist
Owner: Martin Orr <martin@martinorr.name>

  Package name    : libpam-smb
  Version         : 1.9.9+2.0.0-rc6
  Upstream Author : Dave Airlie <airlied@samba.org>
  URL             : http://www.csn.ul.ie/~airlied/pam_smb/
  License         : GPL
  Description     : Pluggable Authentication Module authenticating from NT server

 This is a PAM module, which can verify user passwords from Windows NT
 servers.  It differs from winbind in that it does not require you to have
 administrative access to the NT domain in order to join it, and in that
 it does not contain an NSS module to obtain user account information from
 NT - only passwords.

This package is present in woody (version 1.1.6) but was removed in 2003
following maintainer inactivity, and because Steve Langasek asserted that it
was obsolete.  Certainly winbind is to be preferred in most circumstances
but I at least find this package useful because I am unable to get
administrative access to the relevant NT domain.

My current package is available at
deb http://henry.methody.org/debian sid official

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.4.29
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Martin Orr
Linux Administrator,
Methodist College Belfast

Reply to: